#ifndef PCF8591_H
#define PCF8591_H

#include <stdint.h>

#define PCF8591_RESOLUTION_BITS	8   /* PCF8591の分解能(bit) */

#define PCF8591_CH_MIN 0 /* PCF8591で指定できるアナログ入力チャンネルの最小値 */
#define PCF8591_CH_MAX 3 /* PCF8591で指定できるアナログ入力チャンネルの最大値 */

struct pcf8591;

struct pcf8591 *pcf8591_open(const char *dev_path, int addr);
int pcf8591_read(struct pcf8591 *adc, int ch, uint8_t *digit);
int pcf8591_close(struct pcf8591 *adc);

#endif /* PCF8591_H */
